Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

LIVE555 Streaming Media Buffer Overflow Vulnerability (Linux)

Information

Severity

Severity

Medium

Family

Family

Buffer overflow

CVSSv2 Base

CVSSv2 Base

6.8

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:M/Au:N/C:P/I:P/A:P

Solution Type

Solution Type

Vendor Patch

Created

Created

5 years ago

Modified

Modified

3 years ago

Summary

The host is installed with LIVE555 Streaming Media and is prone to a buffer overflow vulnerability.

Insight

Insight

The flaw is due to a buffer overflow error in the parseRTSPRequestString function in RTSPServer.cpp file

Affected Software

Affected Software

Live555 Media Streaming Versions before 2015.07.23.

Detection Method

Detection Method

Checks if a vulnerable version is present on the target host.

Solution

Solution

Upgrade to 2015.07.23 or later versions.